# SwiftLibraryPlugin

abstract class SwiftLibraryPlugin : Plugin<T>

A plugin that produces a shared library from Swift source.

Adds compile, link and install tasks to build the shared library. Defaults to looking for source files in `src/main/swift`.

Adds a SwiftComponent extension to the project to allow configuration of the library.

#### Since

4.2

## Constructors

SwiftLibraryPlugin
Link copied to clipboard
@Inject
constructor(componentFactory: NativeComponentFactory, toolChainSelector: ToolChainSelector, attributesFactory: AttributesFactory, targetMachineFactory: TargetMachineFactory)

## Functions

apply
Link copied to clipboard
open fun apply(project: Project)